#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-LHuxWwetILSCQmgH1oS1Vu
key:                  lsp-1.6.0.0-LHuxWwetILSCQmgH1oS1Vu
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  42fe72341be29c57e8101e70244009c9
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.1-AViWHS2rAgjJQ2L8GXKk4k:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.1-AViWHS2rAgjJQ2L8GXKk4k:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.1-AViWHS2rAgjJQ2L8GXKk4k:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-LHuxWwetILSCQmgH1oS1Vu
depends:
    aeson-2.1.2.1-KaceSWeAWkBK9urIr7RMHq
    async-2.2.5-63qhz2egf712xrTPAnr2Zj
    attoparsec-0.14.4-x6mFqXglGqIZ8dJ9fSoCx base-4.17.2.1
    bytestring-0.11.5.3 co-log-core-0.3.2.4-2BlJvs4pUY9HnyzzENaOPB
    containers-0.6.7 data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi
    directory-1.3.7.1 exceptions-0.10.5 filepath-1.4.2.2
    hashable-1.4.4.0-9MfualSpDNWnshBkTCGL2
    lens-5.2.3-45KLP8DrieZ6NfgM752wdp
    lsp-types-1.6.0.1-AViWHS2rAgjJQ2L8GXKk4k mtl-2.2.2
    prettyprinter-1.7.1-6KCRwZiz9dxAfJnrHaz498
    random-1.2.1.2-7EfGGurDIwzGPzdRKPRaLg
    sorted-list-0.2.3.1-7S384XrX39qDX1Bmd6dv37 stm-2.5.1.0
    temporary-1.3-BnIeBruHT6xCqQG5UlEDyV text-2.0.2
    text-rope-0.3-F1LXs9gUtwd1w4Z7YO5k0x transformers-0.5.6.2
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-LkuwqgGHy2J6l9MBSYA9kS
    uuid-1.3.16-An2m5s9X7Fb7K8jTGqtNlw

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

